fuss-manager - Segnalazione #750

Nuova feature: blocco schermo di una macchina client
02/19/2019 12:21 PM - Enrico Zini

Status: Chiuso Start date: 05/31/2019
Priority: Normale Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.7 Esecuzione di altri comandi sulle

macchine client
Resolution:
Description
Subtasks:
Segnalazione # 827: comportamento del blocco schermo Chiuso
History

#1 - 05/31/2019 02:53 PM - Enrico Zini
Usando logind, dovrebbe essere possibile implementare il lock dello schermo con un playbook che:
- prima lancia loginctl list-sessions

— identifica le sessioni utente aperte
— le locka con loginctl lock-session

Oppure chiama direttamente loginctl lock-sessions per lockare tutte le sessioni utente.

Per fare unlock, non so cosa succeda se si fa loginctl unlock-sessions e c'era una sessione lockata a mano dall'utente: diventa automaticamente
sbloccata? Quale sarebbe il comportamento atteso in questo caso (un utente fa lock dello schermo, e da fuss-manager viene mandato un comando
di unlock)?

#2 - 06/18/2019 02:14 PM - Elena Grandi

- Status changed from Nuovo to Chiuso

Come da sottoattivita: la gestione delle macchine client avverra tramite veyon, e non € quindi necessaria in fuss-manager.
